# Filename: tri_get_elevations.py
# Purpose: Get the elevation of an x,y location.
# Returns: Elevation as list.

from maptek import vulcan

input_tri = 'headframe.00t' # input tri

with vulcan.triangulation(input_tri) as tri: # Open tri in read mode
    z_list = tri.get_elevations(77868, 4941) # pass X,Y coordinates

    # do something with list...
    print(f"Elevation: {z_list}")